// file c_interface.c
// it is the interface between C++ code and LabVIEW
//
// to include ROOT properly into the project you need the following additional options in the Project settings:
// Index-card C++: preprocessor -> additional include paths: C:\root\include (or wherever root is installed on your machine)
// Index-card Linker: input -> additional library paths: C:\root\lib (or wherever root is installed on your machine)
// Index-card Linker: general -> object & library modules add: 
// libCore.lib libCint.lib libHist.lib libGraf.lib libGraf3d.lib libGpad.lib libTree.lib libRint.lib libPostscript.lib libMatrix.lib libPhysics.lib libMinuit.lib 
//
// The main functionality is copied from the ARCS software project
// http://www.physik.rwth-aachen.de/group/IIIphys/CMS/tracker/en/index.html
// by Markus Axer, Jan Niehusmann, Michael Poettgens, Andreas Nowack, Torsten Franke and others
//
// Torsten Franke, 03.05.2004



#include "c_interface.h"
#include "Write2ROOT.h" 

Write2ROOT w2r;

extern "C" void DLLExport FillDataInHistogram(double data[1000]){
	w2r.FillHistogram(data);
	}

extern "C" void DLLExport SaveDataToROOTFile(){
	w2r.SaveDataToFile();
	}
